StringDistAlignment (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.impl.method
Class StringDistAlignment

    java.lang.Object
      fr.inrialpes.exmo.align.impl.BasicAlignment
          fr.inrialpes.exmo.align.impl.ObjectAlignment
              fr.inrialpes.exmo.align.impl.DistanceAlignment
                  fr.inrialpes.exmo.align.impl.method.StringDistAlignment

All Implemented Interfaces:
  Cloneable, Iterable<Cell>, Alignment, AlignmentProcess, Visitable

Direct Known Subclasses:
  EditDistNameAlignment, NameEqAlignment, SMOANameAlignment, SubsDistNameAlignment

    public class StringDistAlignment

extends DistanceAlignment
implements AlignmentProcess

Represents an OWL ontology alignment. An ontology comprises a number of collections. Each ontology has a number of classes, properties and individuals, along with a number of axioms asserting information about those objects. An improvement of that class is that, since it is based on names only, it can match freely property names with class names...

Version:
  $Id: StringDistAlignment.java 1275 2010-02-18 00:26:15Z euzenat $
Author:
  Jérôme Euzenat

Field Summary
`(package private) Method` | `dissimilarity`
`(package private) String` | `methodName`

Fields inherited from class fr.inrialpes.exmo.align.impl.ObjectAlignment
`init`

Fields inherited from class fr.inrialpes.exmo.align.impl.BasicAlignment
`debug, extensions, hash1, hash2, level, namespaces, onto1, onto2, time, type`

Constructor Summary
`StringDistAlignment()` Creation

Method Summary
`void` | `align(Alignment alignment, Properties params)` Process matching - create distance data structures, - compute distance or similarity - extract alignment

Methods inherited from class fr.inrialpes.exmo.align.impl.DistanceAlignment
`addAlignDistanceCell, cleanUp, extract, extractqq, extractqqgreedy, extractqs, getAlignedDistance1, getAlignedDistance2, getSimilarity, printDistanceMatrix, setSimilarity`

Methods inherited from class fr.inrialpes.exmo.align.impl.ObjectAlignment
`createCell, createNewAlignment, getOntology1URI, getOntology2URI, init, loadInit, ontology1, ontology2, toObjectAlignment, toURIAlignment`

Methods inherited from class fr.inrialpes.exmo.align.impl.BasicAlignment
`accept, addAlignCell, addAlignCell, addAlignCell, addAlignCell, addCell, clone, compose, cut, cut, cut2, diff, dump, getAlignCell1, getAlignCell2, getAlignCells1, getAlignCells2, getAlignedObject1, getAlignedObject2, getAlignedRelation1, getAlignedRelation2, getAlignedStrength1, getAlignedStrength2, getArrayElements, getElements, getExtension, getExtensions, getFile1, getFile2, getLevel, getOntology1, getOntology2, getOntologyObject1, getOntologyObject2, getParameters, getType, getXNamespace, getXNamespaces, harden, ingest, init, inverse, iterator, join, meet, nbCells, remCell, removeAlignCell, render, setExtension, setExtensions, setFile1, setFile2, setLevel, setOntology1, setOntology2, setType, setXNamespace`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.semanticweb.owl.align.Alignment
`addAlignCell, addAlignCell, clone, compose, cut, cut, diff, dump, getAlignCell1, getAlignCell2, getAlignCells1, getAlignCells2, getAlignedObject1, getAlignedObject2, getAlignedRelation1, getAlignedRelation2, getAlignedStrength1, getAlignedStrength2, getElements, getExtension, getExtensions, getFile1, getFile2, getLevel, getOntology1, getOntology1URI, getOntology2, getOntology2URI, getType, harden, init, init, inverse, iterator, join, meet, nbCells, remCell, render, setExtension, setFile1, setFile2, setLevel, setOntology1, setOntology2, setType`

Methods inherited from interface org.semanticweb.owl.align.Visitable
`accept`

Field Detail

### dissimilarity

    Method dissimilarity

### methodName

    String methodName

Constructor Detail

### StringDistAlignment

    public StringDistAlignment()

  Creation

Method Detail

### align

    public void align(Alignment alignment,
                      Properties params)
               throws AlignmentException

  Description copied from class: `DistanceAlignment`
  Process matching - create distance data structures, - compute distance or similarity - extract alignment

  Specified by:
    `align` in interface `AlignmentProcess`
  Overrides:
    `align` in class `DistanceAlignment`
  Throws:
    `AlignmentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010